## raylib bindings

Some people ported raylib to other languages in form of bindings or wrappers to the library.

Here it is a list with the ones I'm aware of:

|  name              | raylib version | language  | repo                                                                 |
|:------------------:|:-------------: | :--------:|----------------------------------------------------------------------|
| raylib             | **3.1-dev** | [C](https://en.wikipedia.org/wiki/C_(programming_language))    | https://github.com/raysan5/raylib    |
| raylib-cpp         | ? | [C++](https://en.wikipedia.org/wiki/C%2B%2B)            | https://github.com/robloach/raylib-cpp          |
| Raylib-cs          | ? | [C#](https://en.wikipedia.org/wiki/C_Sharp_(programming_language))       | https://github.com/ChrisDill/Raylib-cs      |
| raylib-cppsharp    | ? | [C#](https://en.wikipedia.org/wiki/C_Sharp_(programming_language))       | https://github.com/phxvyper/raylib-cppsharp |
| RaylibFS           | ? | [F#](https://fsharp.org/)             | https://github.com/dallinbeutler/RaylibFS     |
| raylib_d           | ? | [D](https://dlang.org/)               | https://github.com/Sepheus/raylib_d     |
| raylib-d           | ? | [D](https://dlang.org/)               | https://github.com/onroundit/raylib-d     |
| bindbc-raylib      | ? | [D](https://dlang.org/)               | https://github.com/o3o/bindbc-raylib   |
| dray               | ? | [D](https://dlang.org/)               | https://github.com/xdrie/dray       |
| raylib-go          | ? | [Go](https://golang.org/)             | https://github.com/gen2brain/raylib-go  |
| raylib-goplus      | ? | [Go](https://golang.org/)             | https://github.com/Lachee/raylib-goplus         |
| ray-go             | ? | [Go](https://golang.org/)             | https://github.com/hecate-tech/ray-go     |
| go-raylib          | 3.1-dev | [Go](https://golang.org/)       | https://github.com/chunqian/go-raylib  |
| raylib-rs          | ? | [Rust](https://www.rust-lang.org/)    | https://github.com/deltaphc/raylib-rs     |
| raylib-lua         | ? | [Lua](http://www.lua.org/)            | https://github.com/raysan5/raylib-lua       |
| raylib-lua-ffi     | 2.0 | [Lua](http://www.lua.org/)            | https://github.com/raysan5/raylib/issues/693    |
| raylib-lua-sol     | ? | [Lua](http://www.lua.org/)            | https://github.com/RobLoach/raylib-lua-sol     |
| raylib-lua         | ? | [Lua](http://www.lua.org/)            | https://github.com/TSnake41/raylib-lua       |
| raylib-luamore     | ? | [Lua](http://www.lua.org/)            | https://github.com/HDPLocust/raylib-luamore    |
| raylua             | 3.0 | [Lua](http://www.lua.org/)            | https://github.com/Rabios/raylua          |
| LuaJIT-Raylib      | ? | [Lua](http://www.lua.org/)            | https://github.com/Bambofy/LuaJIT-Raylib    |
| raylib-nelua       | ? | [Nelua](https://nelua.io/)            | https://github.com/Andre-LA/raylib-nelua-mirror     |
| raylib-Nim         | ? | [Nim](https://nim-lang.org/)          | https://gitlab.com/define-private-public/raylib-Nim     |
| raylib-nim         | ? | [Nim](https://nim-lang.org/)          | https://github.com/Skrylar/raylib-nim                  |
| raylib-Forever     | ? | [Nim](https://nim-lang.org/)          | https://github.com/Guevara-chan/Raylib-Forever    |
| nim-raylib         | ? | [Nim](https://nim-lang.org/)          | https://github.com/tomc1998/nim-raylib            |
| raylib-haskell     | ? | [Haskell](https://www.haskell.org/)   | https://github.com/DevJac/raylib-haskell |
| raylib-cr          | ? | [Crystal](https://crystal-lang.org/)  | https://github.com/AregevDev/raylib-cr      |
| cray               | ? | [Crystal](https://crystal-lang.org/)  | https://gitlab.com/Zatherz/cray           |
| raylib.cr          | ? | [Crystal](https://crystal-lang.org/)  | https://github.com/sam0x17/raylib.cr     |
| raylib-pascal      | ? | [Pascal](https://en.wikipedia.org/wiki/Pascal_(programming_language))         | https://github.com/drezgames/raylib-pascal    |
| raylib-pas         | ? | [Pascal](https://en.wikipedia.org/wiki/Pascal_(programming_language))         | https://github.com/tazdij/raylib-pas      |
| Graphics-Raylib    | ? | [Perl](https://www.perl.org/)            | https://github.com/athreef/Graphics-Raylib      |
| raylib-ruby-ffi    | ? | [Ruby](https://www.ruby-lang.org/en/)    | https://github.com/D3nX/raylib-ruby-ffi      |
| raylib-ruby        | ? | [Ruby](https://www.ruby-lang.org/en/)    | https://github.com/a0/raylib-ruby        |
| raylib-mruby       | ? | [mruby](https://github.com/mruby/mruby)  | https://github.com/lihaochen910/raylib-mruby    |
| raylib-py          | ? | [Python](https://www.python.org/)        | https://github.com/overdev/raylib-py       |
| raylib-python-cffi | ? | [Python](https://www.python.org/)        | https://github.com/electronstudio/raylib-python-cffi    |
| raylib-py-ctbg     | 2.6 | [Python](https://www.python.org/)        | https://github.com/overdev/raylib-py-ctbg                 |
| jaylib             | ? | [Java](https://en.wikipedia.org/wiki/Java_(programming_language))           | https://github.com/electronstudio/jaylib/   |
| raylib-java        | ? | [Java](https://en.wikipedia.org/wiki/Java_(programming_language))           | https://github.com/XoanaIO/raylib-java   |
| clj-raylib         | ? | [Clojure](https://clojure.org/)          | https://github.com/lsevero/clj-raylib       |
| node-raylib        | ? | [Node.js](https://nodejs.org/en/)        | https://github.com/RobLoach/node-raylib     |
| QuickJS-raylib     | ? | [QuickJS](https://bellard.org/quickjs/)  | https://github.com/sntg-p/QuickJS-raylib    |
| raylib-js          | ? | [JavaScript](https://en.wikipedia.org/wiki/JavaScript)     | https://github.com/RobLoach/raylib-js    |
| raylib-chaiscript  | ? | [ChaiScript](http://chaiscript.com/)     | https://github.com/RobLoach/raylib-chaiscript        |
| raylib-squirrel    | ? | [Squirrel](http://www.squirrel-lang.org/)     | https://github.com/RobLoach/raylib-squirrel    |
| racket-raylib-2d   | ? | [Racket](https://racket-lang.org/)       | https://github.com/arvyy/racket-raylib-2d           |
| raylib-php         | ? | [PHP](https://en.wikipedia.org/wiki/PHP)      | https://github.com/joseph-montanez/raylib-php   |
| raylib-php-ffi     | ? | [PHP](https://en.wikipedia.org/wiki/PHP)      | https://github.com/oraoto/raylib-php-ffi      |
| raylib-phpcpp      | ? | [PHP](https://en.wikipedia.org/wiki/PHP)      | https://github.com/oraoto/raylib-phpcpp      |
| raylib-factor      | ? | [Factor](https://factorcode.org/)        | https://github.com/Silverbeard00/raylib-factor  |
| raylib-haxe        | ? | [Haxe](https://haxe.org/)                | https://github.com/ibilon/raylib-haxe           |
| ringraylib         | ? | [Ring](http://ring-lang.sourceforge.net/)  | https://github.com/ringpackages/ringraylib     |
| cl-raylib          | ? | [Common Lisp](https://common-lisp.net/)    | https://github.com/longlene/cl-raylib    |
| raylib-scm         | ? | [Chicken Scheme](https://www.call-cc.org/) | https://github.com/yashrk/raylib-scm     |
| raylib-chibi       | ? | [Chibi-Scheme](https://github.com/ashinn/chibi-scheme)   | https://github.com/VincentToups/raylib-chibi  |
| Euraylib           | ? | [Euphoria](https://openeuphoria.org/)  | https://github.com/gAndy50/Euraylib          |
| raylib-wren        | ? | [Wren](http://wren.io/)           | https://github.com/TSnake41/raylib-wren           |
| raylib-odin        | ? | [Odin](https://odin-lang.org/)            | https://github.com/kevinw/raylib-odin     |
| raylib-zig         | ? | [Zig](https://ziglang.org/)               | https://github.com/Not-Nik/raylib-zig     |
| raylib-jai         | ? | [Jai](https://github.com/BSVino/JaiPrimer/blob/master/JaiPrimer.md)  | https://github.com/kevinw/raylib-jai   |
| ray.zig            | ? | [Zig](https://ziglang.org/)               | https://github.com/BitPuffin/zig-raylib-experiments |
| raylib-Ada         | ? | [Ada](https://www.adacore.com/about-ada)  | https://github.com/mimo/raylib-Ada        |
| jaylib             | ? | [Janet](https://janet-lang.org/)          | https://github.com/janet-lang/jaylib      |
| raykit             | ? | [Kit](https://www.kitlang.org/)           | https://github.com/Gamerfiend/raykit      |
| vraylib            | ? | [V](https://vlang.io/)                    | https://github.com/MajorHard/vraylib      |
| ray.mod            | ? | [BlitzMax](https://blitzmax.org/)         | https://github.com/bmx-ng/ray.mod         |
| ray-ocaml          | ? | [OCaml](https://ocaml.org/)               | https://github.com/tjammer/raylib-ocaml   |
| raylib-mosaic      | ? | [Mosaic](https://github.com/sal55/langs/tree/master/Mosaic)     | https://github.com/pluckyporcupine/raylib-mosaic   |
| raylib-xdpw        | ? | [XD Pascal](https://github.com/vtereshkov/xdpw)     | https://github.com/vtereshkov/raylib-xdpw   |
| raylib-carp        | ? | [Carp](https://github.com/carp-lang/Carp)           | https://github.com/pluckyporcupine/raylib-carp   |
| raylib-fb          | ? | [FreeBasic](https://www.freebasic.net/)    | https://github.com/IchMagBier/raylib-fb  |
| raylib-purebasic   | ? | [PureBasic](https://www.purebasic.com/)    | https://github.com/D-a-n-i-l-o/raylib-purebasic   |
| raylib-ats2        | ? | [ATS2](http://www.ats-lang.org/)           | https://github.com/mephistopheles-8/raylib-ats2      |
| raylib-beef        | ? | [Beef](https://www.beeflang.org/)          | https://github.com/M0n7y5/raylib-beef    |
| raylib-never       | ? | [Never](https://github.com/never-lang/never) | https://github.com/never-lang/raylib-never |
| raylib.cbl         | ? | [COBOL](https://en.wikipedia.org/wiki/COBOL)        | *[code examples](https://github.com/Martinfx/Cobol/tree/master/OpenCobol/Games/raylib)* |

 
Missing some language? Feel free to create a new binding! :)

Usually, raylib bindings follow the convention: `raylib-{language}`

Let me know if you're writing a new binding for raylib, I will list it here!
